| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Geometry::PrimitiveSet Class Referenceabstract
Geometry

`#include <indexedshape.h>`

Inheritance diagram for Geometry::PrimitiveSet:
[legend]

## Public Types
enum | PrimitiveType { Points , Lines , Triangles , LineStrips , TriangleStrip , TriangleFan , Other }

## Public Member Functions
virtual void | append (const int *, int num)=0
virtual void | append (int)=0
virtual int | get (int) const =0
virtual void | getAll (TypeSet< int > &, bool) const
virtual PrimitiveType | getPrimitiveType () const
virtual int | indexOf (const int)=0
virtual void | setEmpty ()=0
virtual void | setPrimitiveType (PrimitiveType tp)
virtual int | size () const =0
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Protected Member Functions
| PrimitiveSet ()
| ~PrimitiveSet ()
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Protected Attributes
PrimitiveType | primitivetype_

## Additional Inherited Members
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Detailed Description

<>

## Member Enumeration Documentation

## ◆ PrimitiveType

enum Geometry::PrimitiveSet::PrimitiveType

Enumerator
Points |
Lines |
Triangles |
LineStrips |
TriangleStrip |
TriangleFan |
Other |

## Constructor & Destructor Documentation

## ◆ PrimitiveSet()

Geometry::PrimitiveSet::PrimitiveSet | ( |  | ) |
| protected

## ◆ ~PrimitiveSet()

Geometry::PrimitiveSet::~PrimitiveSet | ( |  | ) |
| protected

## Member Function Documentation

## ◆ append() [1/2]

virtual void Geometry::PrimitiveSet::append | ( | const int * | ,
|  | int | num )
| pure virtual

Implemented in Geometry::IndexedPrimitiveSetImpl.

## ◆ append() [2/2]

virtual void Geometry::PrimitiveSet::append | ( | int |  | ) |
| pure virtual

Implemented in Geometry::IndexedPrimitiveSetImpl.

## ◆ get()

virtual int Geometry::PrimitiveSet::get | ( | int |  | ) | const
| pure virtual

Implemented in Geometry::IndexedPrimitiveSetImpl.

## ◆ getAll()

virtual void Geometry::PrimitiveSet::getAll | ( | TypeSet< int > & | ,
|  | bool | ) const
| virtual

Reimplemented in Geometry::IndexedPrimitiveSetImpl, and Geometry::RangePrimitiveSet.

## ◆ getPrimitiveType()

virtual PrimitiveType Geometry::PrimitiveSet::getPrimitiveType | ( |  | ) | const
| virtual

## ◆ indexOf()

virtual int Geometry::PrimitiveSet::indexOf | ( | const int |  | ) |
| pure virtual

Implemented in Geometry::IndexedPrimitiveSetImpl, and Geometry::RangePrimitiveSet.

## ◆ setEmpty()

virtual void Geometry::PrimitiveSet::setEmpty | ( |  | ) |
| pure virtual

Implemented in Geometry::IndexedPrimitiveSetImpl.

## ◆ setPrimitiveType()

virtual void Geometry::PrimitiveSet::setPrimitiveType | ( | PrimitiveType | tp | ) |
| virtual

## ◆ size()

virtual int Geometry::PrimitiveSet::size | ( |  | ) | const
| pure virtual

Implemented in Geometry::IndexedPrimitiveSetImpl.

## Member Data Documentation

## ◆ primitivetype_

PrimitiveType Geometry::PrimitiveSet::primitivetype_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025